Bug 1409882 - Review Request: noise - The official elementary music player
Summary: Review Request: noise - The official elementary music player
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PantheonDesktopPackageReviews
TreeView+ depends on / blocked
 
Reported: 2017-01-03 17:44 UTC by Fabio Valentini
Modified: 2017-11-11 17:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-07 21:49:56 UTC
Type: ---
ngompa13: fedora-review+


Attachments (Terms of Use)

Description Fabio Valentini 2017-01-03 17:44:35 UTC
Spec URL: https://raw.githubusercontent.com/decathorpe/fedora-packaging/d6efcd2fb716014855a513dd3a7241ce82b7f61e/specs/noise/noise.spec

SRPM URL: https://copr-be.cloud.fedoraproject.org/results/decathorpe/staging/fedora-25-x86_64/00495093-noise/noise-0.4.0.2-2.fc25.src.rpm

Description: Noise is a fast and beautiful GTK3 audio player with a focus on music and libraries. It handles external devices, CDs, and album art. Noise utilizes Granite for a consistent and slick UI. In elementary OS, Noise is known as Music.

Fedora Account System Username: decathorpe

koji scratch build for rawhide: https://koji.fedoraproject.org/koji/taskinfo?taskID=17157845

COPR build for rawhide and f25: https://copr.fedorainfracloud.org/coprs/decathorpe/staging/build/495093/

This package was already available via my elementary-stable/nightly COPR repository.

Comment on the occurring "explicit-lib-dependency" rpmlint error:
noise explicitly requires the sqlite libgda database provider.

Comment on the occurring "incorrect-fsf-address" rpmlint errors:
I have reported this as a bug upstream at [0] and it seems this should be fixed with the next release.

Comment on the occurring "invalid-lc-messages-dir" rpmlint errors:
These errors don't seem to apply to fedora, since many already existing packages put translation files there (mainly those translated through launchpad/rosetta, I think).


[0]: https://bugs.launchpad.net/noise/+bug/1653363

Comment 1 Neal Gompa 2017-01-03 17:47:23 UTC
Taking this review.

Comment 2 Neal Gompa 2017-01-03 17:49:13 UTC
> Requires:       libgda-sqlite

Please use "libgda-sqlite%{?_isa}", as the library is architecture-dependent, and we want to ensure it's the same architecture that Noise was built for.

Comment 4 Neal Gompa 2017-01-03 18:09:29 UTC
> %{_datadir}/metainfo/org.pantheon.noise.appdata.xml

This file needs to be moved to "%{_datadir}/appdata". None of our tools recognize "%{_datadir}/metainfo" yet.

Comment 6 Neal Gompa 2017-01-03 18:41:25 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later)", "GPL (v3 or later)", "Unknown or
     generated", "LGPL (v2 or later) (with incorrect FSF address)", "BSD (2
     clause)", "*No copyright* LGPL (v2 or later) (with incorrect FSF
     address)". 505 files have unknown license. Detailed output of
     licensecheck in /home/makerpm/1409882-noise/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/locale/rue, /usr/share/locale/ckb,
     /usr/share/locale/rue/LC_MESSAGES, /usr/share/locale/ckb/LC_MESSAGES
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/locale/ckb,
     /usr/share/locale/rue/LC_MESSAGES, /usr/share/locale/rue,
     /usr/share/locale/ckb/LC_MESSAGES
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in noise
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in noise-
     debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 2304000 bytes in /usr/share
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: noise-0.4.0.2-4.fc26.x86_64.rpm
          noise-devel-0.4.0.2-4.fc26.x86_64.rpm
          noise-debuginfo-0.4.0.2-4.fc26.x86_64.rpm
          noise-0.4.0.2-4.fc26.src.rpm
noise.x86_64: E: explicit-lib-dependency libgda-sqlite(x86-64)
noise.x86_64: W: no-manual-page-for-binary noise
noise.x86_64: E: invalid-lc-messages-dir /usr/share/locale/bh/LC_MESSAGES/noise.mo
noise.x86_64: E: invalid-lc-messages-dir /usr/share/locale/mo/LC_MESSAGES/noise.mo
noise-devel.x86_64: W: only-non-binary-in-usr-lib
noise-devel.x86_64: W: no-documentation
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/src/Widgets/ViewSelector.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/src/FileOperator.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Media.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/src/Widgets/StatusBar.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Library.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/src/PlaybackManager.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/GStreamer/Playback.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Album.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/src/Dialogs/PreferencesWindow.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Playlists/StaticPlaylist.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/src/LocalBackend/LocalLibrary.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/src/LocalBackend/LocalMedia.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/src/DataBase.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Playlists/SmartPlaylist.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Utils/PixbufUtils.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/LibrariesManager.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Utils/CompareFunctionHolder.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/build/src/Widgets/FastView/FastList.c
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Widgets/AlbumImage.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/build/core/Utils/PixbufUtils.c
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/GStreamer/Equalizer.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Settings.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/build/src/Widgets/FastView/FastListModel.c
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/src/Widgets/FastView/FastListModel.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Utils/Icons.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/src/LocalBackend/LocalSmartPlaylist.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Widgets/SettingsWidgets.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Utils/Search.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Devices/Device.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Utils/Icon.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/EqualizerPreset.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/PluginManager.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/src/Noise.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Playlists/SmartQuery.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Playlists/Playlist.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/build/src/Widgets/FastView/FastGrid.c
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Utils/FileUtils.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/src/LocalBackend/LocalStaticPlaylist.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/src/Dialogs/FileNotFoundDialog.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/GStreamer/Pipeline.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/src/LocalBackend/DevicePreferences.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Devices/DeviceManager.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Utils/String.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/src/Widgets/FastView/FastGrid.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Devices/NetworkDevice.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/src/Dialogs/MediaEditor.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/src/Widgets/FastView/FastList.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Utils/PlaylistsUtils.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Utils/TimeUtils.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Player.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Utils/UI.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/LibraryWindowInterface.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Utils/Utils.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/NotificationManager.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/src/Objects/HistoryPlaylist.vala
4 packages and 0 specfiles checked; 59 errors, 3 warnings.




Rpmlint (debuginfo)
-------------------
Checking: noise-debuginfo-0.4.0.2-4.fc26.x86_64.rpm
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/build/src/Widgets/FastView/FastList.c
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Utils/FileUtils.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Settings.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/src/Dialogs/PreferencesWindow.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Album.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Utils/Icon.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/src/DataBase.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Utils/PlaylistsUtils.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/src/Noise.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/src/PlaybackManager.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Widgets/SettingsWidgets.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Playlists/StaticPlaylist.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Playlists/Playlist.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/build/core/Utils/PixbufUtils.c
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/PluginManager.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/src/Widgets/FastView/FastListModel.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/src/LocalBackend/DevicePreferences.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Utils/Icons.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/GStreamer/Playback.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/LibrariesManager.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Utils/UI.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/src/FileOperator.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/NotificationManager.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Utils/PixbufUtils.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/src/LocalBackend/LocalStaticPlaylist.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/EqualizerPreset.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Devices/DeviceManager.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Library.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/src/LocalBackend/LocalMedia.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/src/Dialogs/FileNotFoundDialog.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/LibraryWindowInterface.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/GStreamer/Equalizer.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/src/Dialogs/MediaEditor.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Playlists/SmartPlaylist.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Utils/Search.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/src/Objects/HistoryPlaylist.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Playlists/SmartQuery.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/src/Widgets/StatusBar.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Devices/NetworkDevice.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Utils/CompareFunctionHolder.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Media.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Utils/String.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/src/Widgets/ViewSelector.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Utils/Utils.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/src/LocalBackend/LocalSmartPlaylist.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/build/src/Widgets/FastView/FastGrid.c
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/src/Widgets/FastView/FastList.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/src/LocalBackend/LocalLibrary.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/src/Widgets/FastView/FastGrid.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Utils/TimeUtils.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Player.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Widgets/AlbumImage.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/GStreamer/Pipeline.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Devices/Device.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/build/src/Widgets/FastView/FastListModel.c
1 packages and 0 specfiles checked; 56 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
noise.x86_64: E: explicit-lib-dependency libgda-sqlite(x86-64)
noise.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libnoise-core.so.0.1 /lib64/libgmodule-2.0.so.0
noise.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libnoise-core.so.0.1 /lib64/libgirepository-1.0.so.1
noise.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libnoise-core.so.0.1 /lib64/libgthread-2.0.so.0
noise.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libnoise-core.so.0.1 /lib64/libgdk-3.so.0
noise.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libnoise-core.so.0.1 /lib64/libpangocairo-1.0.so.0
noise.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libnoise-core.so.0.1 /lib64/libpango-1.0.so.0
noise.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libnoise-core.so.0.1 /lib64/libatk-1.0.so.0
noise.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libnoise-core.so.0.1 /lib64/libcairo-gobject.so.2
noise.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libnoise-core.so.0.1 /lib64/libgsttag-1.0.so.0
noise.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libnoise-core.so.0.1 /lib64/libgstpbutils-1.0.so.0
noise.x86_64: W: no-manual-page-for-binary noise
noise.x86_64: E: invalid-lc-messages-dir /usr/share/locale/bh/LC_MESSAGES/noise.mo
noise.x86_64: E: invalid-lc-messages-dir /usr/share/locale/mo/LC_MESSAGES/noise.mo
noise-devel.x86_64: W: only-non-binary-in-usr-lib
noise-devel.x86_64: W: no-documentation
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/build/core/Utils/PixbufUtils.c
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/build/src/Widgets/FastView/FastGrid.c
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/build/src/Widgets/FastView/FastList.c
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/build/src/Widgets/FastView/FastListModel.c
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Album.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Devices/Device.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Devices/DeviceManager.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Devices/NetworkDevice.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/EqualizerPreset.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/GStreamer/Equalizer.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/GStreamer/Pipeline.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/GStreamer/Playback.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/LibrariesManager.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Library.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/LibraryWindowInterface.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Media.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/NotificationManager.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Player.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Playlists/Playlist.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Playlists/SmartPlaylist.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Playlists/SmartQuery.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Playlists/StaticPlaylist.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/PluginManager.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Settings.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Utils/CompareFunctionHolder.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Utils/FileUtils.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Utils/Icon.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Utils/Icons.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Utils/PixbufUtils.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Utils/PlaylistsUtils.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Utils/Search.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Utils/String.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Utils/TimeUtils.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Utils/UI.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Utils/Utils.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Widgets/AlbumImage.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/core/Widgets/SettingsWidgets.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/src/DataBase.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/src/Dialogs/FileNotFoundDialog.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/src/Dialogs/MediaEditor.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/src/Dialogs/PreferencesWindow.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/src/FileOperator.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/src/LocalBackend/DevicePreferences.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/src/LocalBackend/LocalLibrary.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/src/LocalBackend/LocalMedia.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/src/LocalBackend/LocalSmartPlaylist.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/src/LocalBackend/LocalStaticPlaylist.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/src/Noise.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/src/Objects/HistoryPlaylist.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/src/PlaybackManager.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/src/Widgets/FastView/FastGrid.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/src/Widgets/FastView/FastList.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/src/Widgets/FastView/FastListModel.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/src/Widgets/StatusBar.vala
noise-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/noise-0.4.0.2/src/Widgets/ViewSelector.vala
3 packages and 0 specfiles checked; 59 errors, 13 warnings.



Requires
--------
noise (rpmlib, GLIBC filtered):
    /bin/sh
    hicolor-icon-theme
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo-gobject.so.2()(64bit)
    libcairo.so.2()(64bit)
    libgda-5.0.so.4()(64bit)
    libgda-sqlite(x86-64)
    libgdk-3.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgee-0.8.so.2()(64bit)
    libgio-2.0.so.0()(64bit)
    libgirepository-1.0.so.1()(64bit)
    libglib-2.0.so.0()(64bit)
    libgmodule-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgranite.so.3()(64bit)
    libgstpbutils-1.0.so.0()(64bit)
    libgstreamer-1.0.so.0()(64bit)
    libgsttag-1.0.so.0()(64bit)
    libgthread-2.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    libm.so.6()(64bit)
    libnoise-core.so.0()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpeas-1.0.so.0()(64bit)
    libpeas-gtk-1.0.so.0()(64bit)
    libtag.so.1()(64bit)
    libtag_c.so.0()(64bit)
    libxml2.so.2()(64bit)
    libzeitgeist-2.0.so.0()(64bit)
    rtld(GNU_HASH)

noise-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    libnoise-core.so.0()(64bit)
    noise(x86-64)
    pkgconfig(gee-0.8)
    pkgconfig(gio-2.0)
    pkgconfig(glib-2.0)
    pkgconfig(granite)
    pkgconfig(gstreamer-1.0)
    pkgconfig(gstreamer-pbutils-1.0)
    pkgconfig(gstreamer-tag-1.0)
    pkgconfig(gtk+-3.0)
    pkgconfig(libpeas-1.0)
    pkgconfig(libpeas-gtk-1.0)

noise-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
noise:
    appdata()
    appdata(org.pantheon.noise.appdata.xml)
    application()
    application(org.pantheon.noise.desktop)
    libaudioplayer-device.so()(64bit)
    libcdrom-device.so()(64bit)
    libnoise-core.so.0()(64bit)
    mimehandler(application/ogg)
    mimehandler(application/x-extension-m4a)
    mimehandler(application/x-extension-mp4)
    mimehandler(application/x-flac)
    mimehandler(application/x-ogg)
    mimehandler(audio/3gpp)
    mimehandler(audio/AMR)
    mimehandler(audio/AMR-WB)
    mimehandler(audio/aac)
    mimehandler(audio/ac3)
    mimehandler(audio/basic)
    mimehandler(audio/flac)
    mimehandler(audio/midi)
    mimehandler(audio/mp2)
    mimehandler(audio/mp4)
    mimehandler(audio/mpeg)
    mimehandler(audio/ogg)
    mimehandler(audio/vnd.rn-realaudio)
    mimehandler(audio/x-aiff)
    mimehandler(audio/x-ape)
    mimehandler(audio/x-flac)
    mimehandler(audio/x-gsm)
    mimehandler(audio/x-it)
    mimehandler(audio/x-m4a)
    mimehandler(audio/x-matroska)
    mimehandler(audio/x-mod)
    mimehandler(audio/x-mp3)
    mimehandler(audio/x-mpeg)
    mimehandler(audio/x-mpegurl)
    mimehandler(audio/x-ms-asf)
    mimehandler(audio/x-ms-asx)
    mimehandler(audio/x-ms-wax)
    mimehandler(audio/x-ms-wma)
    mimehandler(audio/x-musepack)
    mimehandler(audio/x-opus+ogg)
    mimehandler(audio/x-pn-aiff)
    mimehandler(audio/x-pn-au)
    mimehandler(audio/x-pn-realaudio)
    mimehandler(audio/x-pn-realaudio-plugin)
    mimehandler(audio/x-pn-wav)
    mimehandler(audio/x-pn-windows-acm)
    mimehandler(audio/x-real-audio)
    mimehandler(audio/x-realaudio)
    mimehandler(audio/x-sbc)
    mimehandler(audio/x-scpls)
    mimehandler(audio/x-speex)
    mimehandler(audio/x-tta)
    mimehandler(audio/x-vorbis)
    mimehandler(audio/x-vorbis+ogg)
    mimehandler(audio/x-wav)
    mimehandler(audio/x-wavpack)
    mimehandler(audio/x-xm)
    mimehandler(x-content/audio-cdda)
    mimehandler(x-content/audio-player)
    noise
    noise(x86-64)

noise-devel:
    noise-devel
    noise-devel(x86-64)
    pkgconfig(noise-core)

noise-debuginfo:
    noise-debuginfo
    noise-debuginfo(x86-64)



Unversioned so-files
--------------------
noise: /usr/lib64/noise/plugins/AudioPlayer-Device/libaudioplayer-device.so
noise: /usr/lib64/noise/plugins/CDRom-Device/libcdrom-device.so

Source checksums
----------------
https://launchpad.net/noise/0.4.x/0.4.0.2/+download/noise-0.4.0.2.tar.xz :
  CHECKSUM(SHA256) this package     : 21c0859ca3418e634de98fc07eabb5702e8066adc9f3dc948a873b0567db5b97
  CHECKSUM(SHA256) upstream package : 21c0859ca3418e634de98fc07eabb5702e8066adc9f3dc948a873b0567db5b97


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/bin/fedora-review -b 1409882 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 7 Neal Gompa 2017-01-03 18:42:15 UTC
The rpmlint issues have been explained already, so this package looks good to me.

PACKAGE APPROVED.

Comment 8 Gwyn Ciesla 2017-01-04 03:36:45 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/noise

Comment 9 Fedora Update System 2017-01-04 11:27:17 UTC
noise-0.4.0.2-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-97f2dedf24

Comment 10 Fedora Update System 2017-01-04 23:29:22 UTC
noise-0.4.0.2-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-97f2dedf24

Comment 11 Fedora Update System 2017-01-07 21:49:56 UTC
noise-0.4.0.2-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.